Eclipse Platform Release 3.7

## org.eclipse.core.databinding.observable.list
Interface IListChangeListener

All Superinterfaces:
  IObservablesListener

    public interface IListChangeListener

extends IObservablesListener

Listener for changes to observable lists.

Since:
  1.0

Method Summary
`void` `handleListChange(ListChangeEvent event)` Handle a change to an observable list.

Method Detail

### handleListChange

    void handleListChange(ListChangeEvent event)

  Handle a change to an observable list. The change is described by the diff object. The given event object must only be used locally in this method because it may be reused for other change notifications. The diff object referenced by the event is immutable and may be used non-locally.

  Parameters:
    `event` -

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.